Changeset 275


Ignore:
Timestamp:
Mar 26, 2007 4:51:32 PM (15 years ago)
Author:
andreasw
Message:

synchronizing HSL stable 1.0 with trunk (rev 270)

Location:
ThirdParty/HSL/stable/1.0
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/HSL/stable/1.0/INSTALL.HSL

    r51 r275  
    5757
    5858If you want to use MA57, please make sure that all source code for
    59 MA57 including dependencies is in a file called ma57ad.f
     59MA57 ***including dependencies*** is in a file called ma57ad.f.
     60Currently, it seems that the dependencies are the files:
    6061
     62 fd15ad.f
     63 mc21ad.f
     64 mc34ad.f
     65 mc47ad.f
     66 mc59ad.f
     67 mc64ad.f
     68 mc71ad.f
  • ThirdParty/HSL/stable/1.0/configure

    r219 r275  
    47984798
    47994799
    4800 unset ac_cv_file__________libtool
    4801 unset ac_cv_file_______libtool
    4802 unset ac_cv_file____libtool
    4803 
    48044800LIBTOOL=
    4805 echo "$as_me:$LINENO: checking for ../libtool" >&5
    4806 echo $ECHO_N "checking for ../libtool... $ECHO_C" >&6
    4807 if test "${ac_cv_file____libtool+set}" = set; then
    4808   echo $ECHO_N "(cached) $ECHO_C" >&6
    4809 else
    4810   test "$cross_compiling" = yes &&
    4811   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    4812 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    4813    { (exit 1); exit 1; }; }
    4814 if test -r "../libtool"; then
    4815   ac_cv_file____libtool=yes
    4816 else
    4817   ac_cv_file____libtool=no
    4818 fi
    4819 fi
    4820 echo "$as_me:$LINENO: result: $ac_cv_file____libtool" >&5
    4821 echo "${ECHO_T}$ac_cv_file____libtool" >&6
    4822 if test $ac_cv_file____libtool = yes; then
     4801if test -r ../libtool; then
    48234802  coin_config_dir=..
    4824                LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    4825 fi
    4826 
     4803  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
     4804fi
    48274805if test "x$LIBTOOL" = x; then
    4828   echo "$as_me:$LINENO: checking for ../../libtool" >&5
    4829 echo $ECHO_N "checking for ../../libtool... $ECHO_C" >&6
    4830 if test "${ac_cv_file_______libtool+set}" = set; then
    4831   echo $ECHO_N "(cached) $ECHO_C" >&6
    4832 else
    4833   test "$cross_compiling" = yes &&
    4834   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    4835 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    4836    { (exit 1); exit 1; }; }
    4837 if test -r "../../libtool"; then
    4838   ac_cv_file_______libtool=yes
    4839 else
    4840   ac_cv_file_______libtool=no
    4841 fi
    4842 fi
    4843 echo "$as_me:$LINENO: result: $ac_cv_file_______libtool" >&5
    4844 echo "${ECHO_T}$ac_cv_file_______libtool" >&6
    4845 if test $ac_cv_file_______libtool = yes; then
    4846   coin_config_dir=../..
    4847                  LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
    4848 fi
    4849 
    4850 fi
    4851 # if test "x$LIBTOOL" = x; then
    4852 #   AC_CHECK_FILE([../../../libtool],
    4853 #                 [coin_config_dir=../../..
    4854 #                  LIBTOOL='$(SHELL) $(top_builddir)/../../../libtool'])
    4855 # fi
     4806  if test -r ../../libtool; then
     4807    coin_config_dir=../..
     4808    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     4809  fi
     4810fi
    48564811
    48574812if test "x$LIBTOOL" = x; then
     
    54065361*-*-irix6*)
    54075362  # Find out which ABI we are using.
    5408   echo '#line 5408 "configure"' > conftest.$ac_ext
     5363  echo '#line 5363 "configure"' > conftest.$ac_ext
    54095364  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    54105365  (eval $ac_compile) 2>&5
     
    78357790   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78367791   -e 's:$: $lt_compiler_flag:'`
    7837    (eval echo "\"\$as_me:7837: $lt_compile\"" >&5)
     7792   (eval echo "\"\$as_me:7792: $lt_compile\"" >&5)
    78387793   (eval "$lt_compile" 2>conftest.err)
    78397794   ac_status=$?
    78407795   cat conftest.err >&5
    7841    echo "$as_me:7841: \$? = $ac_status" >&5
     7796   echo "$as_me:7796: \$? = $ac_status" >&5
    78427797   if (exit $ac_status) && test -s "$ac_outfile"; then
    78437798     # The compiler can only warn and ignore the option if not recognized
     
    81038058   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81048059   -e 's:$: $lt_compiler_flag:'`
    8105    (eval echo "\"\$as_me:8105: $lt_compile\"" >&5)
     8060   (eval echo "\"\$as_me:8060: $lt_compile\"" >&5)
    81068061   (eval "$lt_compile" 2>conftest.err)
    81078062   ac_status=$?
    81088063   cat conftest.err >&5
    8109    echo "$as_me:8109: \$? = $ac_status" >&5
     8064   echo "$as_me:8064: \$? = $ac_status" >&5
    81108065   if (exit $ac_status) && test -s "$ac_outfile"; then
    81118066     # The compiler can only warn and ignore the option if not recognized
     
    82078162   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82088163   -e 's:$: $lt_compiler_flag:'`
    8209    (eval echo "\"\$as_me:8209: $lt_compile\"" >&5)
     8164   (eval echo "\"\$as_me:8164: $lt_compile\"" >&5)
    82108165   (eval "$lt_compile" 2>out/conftest.err)
    82118166   ac_status=$?
    82128167   cat out/conftest.err >&5
    8213    echo "$as_me:8213: \$? = $ac_status" >&5
     8168   echo "$as_me:8168: \$? = $ac_status" >&5
    82148169   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    82158170   then
     
    1055210507  lt_status=$lt_dlunknown
    1055310508  cat > conftest.$ac_ext <<EOF
    10554 #line 10554 "configure"
     10509#line 10509 "configure"
    1055510510#include "confdefs.h"
    1055610511
     
    1065210607  lt_status=$lt_dlunknown
    1065310608  cat > conftest.$ac_ext <<EOF
    10654 #line 10654 "configure"
     10609#line 10609 "configure"
    1065510610#include "confdefs.h"
    1065610611
     
    1299612951   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1299712952   -e 's:$: $lt_compiler_flag:'`
    12998    (eval echo "\"\$as_me:12998: $lt_compile\"" >&5)
     12953   (eval echo "\"\$as_me:12953: $lt_compile\"" >&5)
    1299912954   (eval "$lt_compile" 2>conftest.err)
    1300012955   ac_status=$?
    1300112956   cat conftest.err >&5
    13002    echo "$as_me:13002: \$? = $ac_status" >&5
     12957   echo "$as_me:12957: \$? = $ac_status" >&5
    1300312958   if (exit $ac_status) && test -s "$ac_outfile"; then
    1300412959     # The compiler can only warn and ignore the option if not recognized
     
    1310013055   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1310113056   -e 's:$: $lt_compiler_flag:'`
    13102    (eval echo "\"\$as_me:13102: $lt_compile\"" >&5)
     13057   (eval echo "\"\$as_me:13057: $lt_compile\"" >&5)
    1310313058   (eval "$lt_compile" 2>out/conftest.err)
    1310413059   ac_status=$?
    1310513060   cat out/conftest.err >&5
    13106    echo "$as_me:13106: \$? = $ac_status" >&5
     13061   echo "$as_me:13061: \$? = $ac_status" >&5
    1310713062   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1310813063   then
     
    1467014625   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1467114626   -e 's:$: $lt_compiler_flag:'`
    14672    (eval echo "\"\$as_me:14672: $lt_compile\"" >&5)
     14627   (eval echo "\"\$as_me:14627: $lt_compile\"" >&5)
    1467314628   (eval "$lt_compile" 2>conftest.err)
    1467414629   ac_status=$?
    1467514630   cat conftest.err >&5
    14676    echo "$as_me:14676: \$? = $ac_status" >&5
     14631   echo "$as_me:14631: \$? = $ac_status" >&5
    1467714632   if (exit $ac_status) && test -s "$ac_outfile"; then
    1467814633     # The compiler can only warn and ignore the option if not recognized
     
    1477414729   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1477514730   -e 's:$: $lt_compiler_flag:'`
    14776    (eval echo "\"\$as_me:14776: $lt_compile\"" >&5)
     14731   (eval echo "\"\$as_me:14731: $lt_compile\"" >&5)
    1477714732   (eval "$lt_compile" 2>out/conftest.err)
    1477814733   ac_status=$?
    1477914734   cat out/conftest.err >&5
    14780    echo "$as_me:14780: \$? = $ac_status" >&5
     14735   echo "$as_me:14735: \$? = $ac_status" >&5
    1478114736   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1478214737   then
     
    1698116936   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1698216937   -e 's:$: $lt_compiler_flag:'`
    16983    (eval echo "\"\$as_me:16983: $lt_compile\"" >&5)
     16938   (eval echo "\"\$as_me:16938: $lt_compile\"" >&5)
    1698416939   (eval "$lt_compile" 2>conftest.err)
    1698516940   ac_status=$?
    1698616941   cat conftest.err >&5
    16987    echo "$as_me:16987: \$? = $ac_status" >&5
     16942   echo "$as_me:16942: \$? = $ac_status" >&5
    1698816943   if (exit $ac_status) && test -s "$ac_outfile"; then
    1698916944     # The compiler can only warn and ignore the option if not recognized
     
    1724917204   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1725017205   -e 's:$: $lt_compiler_flag:'`
    17251    (eval echo "\"\$as_me:17251: $lt_compile\"" >&5)
     17206   (eval echo "\"\$as_me:17206: $lt_compile\"" >&5)
    1725217207   (eval "$lt_compile" 2>conftest.err)
    1725317208   ac_status=$?
    1725417209   cat conftest.err >&5
    17255    echo "$as_me:17255: \$? = $ac_status" >&5
     17210   echo "$as_me:17210: \$? = $ac_status" >&5
    1725617211   if (exit $ac_status) && test -s "$ac_outfile"; then
    1725717212     # The compiler can only warn and ignore the option if not recognized
     
    1735317308   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1735417309   -e 's:$: $lt_compiler_flag:'`
    17355    (eval echo "\"\$as_me:17355: $lt_compile\"" >&5)
     17310   (eval echo "\"\$as_me:17310: $lt_compile\"" >&5)
    1735617311   (eval "$lt_compile" 2>out/conftest.err)
    1735717312   ac_status=$?
    1735817313   cat out/conftest.err >&5
    17359    echo "$as_me:17359: \$? = $ac_status" >&5
     17314   echo "$as_me:17314: \$? = $ac_status" >&5
    1736017315   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1736117316   then
     
    2006720022
    2006820023  case $build in
     20024    *x86_64-*)
     20025# Here we need to check if -m32 is specified.  If so, we need to correct sys_lib_search_path_spec
     20026      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     20027        { echo "$as_me:$LINENO: Applying patches to libtool for 32bit compilation" >&5
     20028echo "$as_me: Applying patches to libtool for 32bit compilation" >&6;}
     20029        sed -e 's|sys_lib_search_path_spec=".*"|sys_lib_search_path_spec="/lib /usr/lib"|' libtool > conftest.bla
     20030        mv conftest.bla libtool
     20031        chmod 755 libtool
     20032      fi
     20033      ;;
    2006920034    *-cygwin* | *-mingw*)
    2007020035    case "$CXX" in
     
    2037520340
    2037620341
    20377 FADDLIBS="$ADDLIBS"
    20378 if test x"$coin_need_flibs" = xyes; then
    20379   ADDLIBS="$ADDLIBS $FLIBS"
    20380 fi
    20381 
    20382 # library extension
    20383 
    20384 case "$CC" in
    20385   cl* | */cl* | CL* | */CL*)
    20386        LIBEXT=lib ;;
    20387     *) LIBEXT=a ;;
    20388 esac
    20389 
    20390 # Define VPATH_DISTCLEANFILES to be everything that needs to be
    20391 # cleaned for distclean in a vpath configuration
    20392 
    20393 VPATH_DISTCLEANFILES="$coin_vpath_link_files"
    20394 
    20395 cat >confcache <<\_ACEOF
     20342if test x$coin_skip_ac_output != xyes; then
     20343
     20344  FADDLIBS="$ADDLIBS"
     20345  if test x"$coin_need_flibs" = xyes; then
     20346    ADDLIBS="$ADDLIBS $FLIBS"
     20347  fi
     20348
     20349  # library extension
     20350
     20351  case "$CC" in
     20352    cl* | */cl* | CL* | */CL*)
     20353         LIBEXT=lib ;;
     20354      *) LIBEXT=a ;;
     20355  esac
     20356
     20357  # Define VPATH_DISTCLEANFILES to be everything that needs to be
     20358  # cleaned for distclean in a vpath configuration
     20359
     20360  VPATH_DISTCLEANFILES="$coin_vpath_link_files"
     20361
     20362  # Take out subdirectories if their configuration concluded that they
     20363  # don't need to be compiled
     20364  if test x"$coin_ac_skip_subdirs" != x; then
     20365    new_subdirs=
     20366    for i in $subdirs; do
     20367      skipme=no
     20368      for j in $coin_ac_skip_subdirs; do
     20369        if test $i = $j; then
     20370          skipme=yes;
     20371        fi
     20372      done
     20373      if test $skipme = no; then
     20374        new_subdirs="$new_subdirs $i"
     20375      fi
     20376    done
     20377    subdirs="$new_subdirs"
     20378  fi
     20379
     20380  cat >confcache <<\_ACEOF
    2039620381# This file is a shell script that caches the results of configure
    2039720382# tests run on this system so they can be shared between configure
     
    2169021675
    2169121676
    21692 if test x"$coin_vpath_link_files" = x; then : ; else
    21693   lnkcmd=
    21694   if test "$enable_doscompile" = yes; then
    21695     lnkcmd=cp
    21696   fi
    21697   case "$CC" in
    21698     cl* | */cl* | CL* | */CL*)
    21699       lnkcmd=cp ;;
    21700   esac
    21701   if test "$lnkcmd" = cp; then
    21702     { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
     21677  if test x"$coin_vpath_link_files" = x; then : ; else
     21678    lnkcmd=
     21679    if test "$enable_doscompile" = yes; then
     21680      lnkcmd=cp
     21681    fi
     21682    case "$CC" in
     21683      cl* | */cl* | CL* | */CL*)
     21684        lnkcmd=cp ;;
     21685    esac
     21686    if test "$lnkcmd" = cp; then
     21687      { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
    2170321688echo "$as_me: Copying data files for VPATH configuration" >&6;}
    21704   else
    21705     echo "$as_me:$LINENO: checking whether ln -s works" >&5
     21689    else
     21690      echo "$as_me:$LINENO: checking whether ln -s works" >&5
    2170621691echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
    2170721692LN_S=$as_ln_s
     
    2171421699fi
    2171521700
    21716     { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
     21701      { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
    2171721702echo "$as_me: Creating VPATH links for data files" >&6;}
    21718     lnkcmd="$LN_S"
    21719   fi
    21720   for file in $coin_vpath_link_files; do
    21721     dir=`(dirname "./$file") 2>/dev/null ||
     21703      lnkcmd="$LN_S"
     21704    fi
     21705    for file in $coin_vpath_link_files; do
     21706      dir=`(dirname "./$file") 2>/dev/null ||
    2172221707$as_expr X"./$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    2172321708         X"./$file" : 'X\(//\)[^/]' \| \
     
    2173121716          /^X\(\/\).*/{ s//\1/; q; }
    2173221717          s/.*/./; q'`
    21733     if test -d $dir; then : ; else
    21734       { if $as_mkdir_p; then
     21718      if test -d $dir; then : ; else
     21719        { if $as_mkdir_p; then
    2173521720    mkdir -p $dir
    2173621721  else
     
    2175721742   { (exit 1); exit 1; }; }; }
    2175821743
    21759     fi
    21760     rm -f $file
    21761     $lnkcmd $abs_source_dir/$file $file
    21762   done
    21763 fi
    21764 
    21765 if test x$coin_projectdir = xyes; then
    21766   { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
     21744      fi
     21745      rm -f $file
     21746      $lnkcmd $abs_source_dir/$file $file
     21747    done
     21748  fi
     21749
     21750  if test x$coin_projectdir = xyes; then
     21751    { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
    2176721752echo "$as_me: Configuration of $PACKAGE_NAME successful" >&6;}
    21768 else
    21769   { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
     21753  else
     21754    { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
    2177021755echo "$as_me: Main configuration of $PACKAGE_NAME successful" >&6;}
    21771 fi
    21772 
     21756  fi
     21757else
     21758  { echo "$as_me:$LINENO: No configuration of $PACKAGE_NAME necessary" >&5
     21759echo "$as_me: No configuration of $PACKAGE_NAME necessary" >&6;}
     21760fi
     21761
     21762
Note: See TracChangeset for help on using the changeset viewer.